Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Courses

Get Courses
GET /training/courses
https://api.relesysapp.net/api/v1.1/training/courses
Get a list of Courses
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
courseGroupId string / guid Filterable optional
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
name string Filterable Sortable optional
performanceScoreRequired integer Filterable Sortable optional
phaseId string / guid Filterable optional
sortOrder integer Filterable Sortable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"3ceb3a60-5123-4bc4-96ba-5b7acd83f03f","courseGroupId":"8a11c6c6-243c-4700-ad85-bbc2bd608e07","phaseId":"dea0d28c-f8cd-4f3e-bcc8-fdb81bff4d4c","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-11-08T22:00:00+00:00","name":"Training Course","performanceScoreRequired":95},{"id":"5b7389e8-c26b-443b-b696-f4b0af224e97","courseGroupId":"184b7fab-8808-4665-bd82-e0b3e7a0dee1","phaseId":"e43b1863-60e0-4ee0-972b-4eb16ed24d8f","creationDateTime":"2020-08-15T22:00:00+00:00","lastModifiedDateTime":"2020-10-19T22:00:00+00:00","name":"Training E-Learning","performanceScoreRequired":80}]}
object
  count integer      
  ⯈ data array[object]      
   courseGroupId string / guid      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   name string      
   performanceScoreRequired integer      
   phaseId string / guid      
  nextUrl string      
  previousUrl string